<mat-card>Modificar encuesta </mat-card>

<form class="example-container" [formGroup]="form" #frmRol="ngForm" (ngSubmit)="operar()">

  <div [hidden]="true">
    <mat-form-field class="example-full-width">
      <input matInput placeholder="ID" required formControlName="id">
    </mat-form-field>
  </div>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Nombre" required formControlName="nombres">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Apellidos" required formControlName="apellidos">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Edad" required formControlName="edad">
  </mat-form-field>
  <mat-form-field class="example-full-width">
    <input matInput placeholder="Profesion" required formControlName="profesion">
  </mat-form-field>
  <mat-form-field class="example-full-width">
    <input matInput placeholder="Lugar de trabajo " required formControlName="trabajo">
  </mat-form-field>


      <mat-radio-group matInput aria-labelledby="example-radio-group-label"
        class="example-radio-group" formControlName="lenguaje" >


        <mat-radio-button class="example-radio-button" value="JAVA">JAVA</mat-radio-button>
        <mat-radio-button class="example-radio-button"   value="C#">C#</mat-radio-button>
      </mat-radio-group>


      



 <button mat-raised-button color="primary" type="submit" [disabled]="frmRol.invalid">
    <mat-icon>done</mat-icon>
    <span>Aceptar</span>
  </button>

  <button mat-raised-button color="accent" routerLink='/app/admin/encuesta' type="button">
    <mat-icon>close</mat-icon>
    <span>Cancelar</span>
  </button>
 

</form>


